Browse Source

Update dependencies from https://github.com/dotnet/arcade build 20201201.2 (#840)

[master] Update dependencies from dotnet/arcade
pull/843/head
dotnet-maestro[bot] 6 years ago
committed by GitHub
parent
commit
113fff4f35
No known key found for this signature in database GPG Key ID: 4AEE18F83AFDEB23
  1. 20
      eng/Version.Details.xml
  2. 14
      eng/common/tools.sh
  3. 2
      global.json

20
eng/Version.Details.xml

@ -3,25 +3,25 @@
<ProductDependencies>
</ProductDependencies>
<ToolsetDependencies>
<Dependency Name="Microsoft.DotNet.Arcade.Sdk" Version="6.0.0-beta.20573.2">
<Dependency Name="Microsoft.DotNet.Arcade.Sdk" Version="6.0.0-beta.20601.2">
<Uri>https://github.com/dotnet/arcade</Uri>
<Sha>35bddd4fbfab8da3518fb920250d7c9e0c3138ff</Sha>
<Sha>6d8efa00a7dd2d15e07df673a83cecb8a0a3031f</Sha>
</Dependency>
<Dependency Name="Microsoft.DotNet.Build.Tasks.Feed" Version="6.0.0-beta.20573.2">
<Dependency Name="Microsoft.DotNet.Build.Tasks.Feed" Version="6.0.0-beta.20601.2">
<Uri>https://github.com/dotnet/arcade</Uri>
<Sha>35bddd4fbfab8da3518fb920250d7c9e0c3138ff</Sha>
<Sha>6d8efa00a7dd2d15e07df673a83cecb8a0a3031f</Sha>
</Dependency>
<Dependency Name="Microsoft.DotNet.SignTool" Version="6.0.0-beta.20573.2">
<Dependency Name="Microsoft.DotNet.SignTool" Version="6.0.0-beta.20601.2">
<Uri>https://github.com/dotnet/arcade</Uri>
<Sha>35bddd4fbfab8da3518fb920250d7c9e0c3138ff</Sha>
<Sha>6d8efa00a7dd2d15e07df673a83cecb8a0a3031f</Sha>
</Dependency>
<Dependency Name="Microsoft.DotNet.Helix.Sdk" Version="6.0.0-beta.20573.2">
<Dependency Name="Microsoft.DotNet.Helix.Sdk" Version="6.0.0-beta.20601.2">
<Uri>https://github.com/dotnet/arcade</Uri>
<Sha>35bddd4fbfab8da3518fb920250d7c9e0c3138ff</Sha>
<Sha>6d8efa00a7dd2d15e07df673a83cecb8a0a3031f</Sha>
</Dependency>
<Dependency Name="Microsoft.DotNet.SwaggerGenerator.MSBuild" Version="6.0.0-beta.20573.2">
<Dependency Name="Microsoft.DotNet.SwaggerGenerator.MSBuild" Version="6.0.0-beta.20601.2">
<Uri>https://github.com/dotnet/arcade</Uri>
<Sha>35bddd4fbfab8da3518fb920250d7c9e0c3138ff</Sha>
<Sha>6d8efa00a7dd2d15e07df673a83cecb8a0a3031f</Sha>
</Dependency>
<Dependency Name="Microsoft.DotNet.Maestro.Client" Version="1.1.0-beta.19556.4">
<Uri>https://github.com/dotnet/arcade-services</Uri>

14
eng/common/tools.sh

@ -249,7 +249,7 @@ function with_retries {
return 0
fi
timeout=$((2**$retries-1))
timeout=$((3**$retries-1))
echo "Failed to execute '$@'. Waiting $timeout seconds before next attempt ($retries out of $maxRetries)." 1>&2
sleep $timeout
done
@ -271,10 +271,14 @@ function GetDotNetInstallScript {
# Use curl if available, otherwise use wget
if command -v curl > /dev/null; then
with_retries curl "$install_script_url" -sSL --retry 10 --create-dirs -o "$install_script" || {
local exit_code=$?
Write-PipelineTelemetryError -category 'InitializeToolset' "Failed to acquire dotnet install script (exit code '$exit_code')."
ExitWithExitCode $exit_code
# first, try directly, if this fails we will retry with verbose logging
curl "$install_script_url" -sSL --retry 10 --create-dirs -o "$install_script" || {
echo "curl failed; will now retry with verbose logging."
with_retries curl "$install_script_url" -sSL --verbose --retry 10 --create-dirs -o "$install_script" || {
local exit_code=$?
Write-PipelineTelemetryError -category 'InitializeToolset' "Failed to acquire dotnet install script (exit code '$exit_code')."
ExitWithExitCode $exit_code
}
}
else
with_retries wget -v -O "$install_script" "$install_script_url" || {

2
global.json

@ -11,6 +11,6 @@
}
},
"msbuild-sdks": {
"Microsoft.DotNet.Arcade.Sdk": "6.0.0-beta.20573.2"
"Microsoft.DotNet.Arcade.Sdk": "6.0.0-beta.20601.2"
}
}

Loading…
Cancel
Save